Notas da versión do IDE NetBeans 6.9.1

O IDE NetBeans é un contorno de desenvolvemento integrado (IDE) modular e baseado en estándares escrito na linguaxe de programación Java. O proxecto NetBeans consta dun IDE completo de código aberto escrito na linguaxe de programación Java e dunha plataforma de aplicativos cliente ricos, que se usa como un marco de traballo xenérico para construír calquera tipo de aplicativos. Para máis información sobre como instalar o software no seu sistema, consulte as instrucións de instalación do IDE NetBeans 6.9.1. Para obter máis información sobre as novas características incluídas nesta versión do IDE consulte a páxina de información da versión do IDE NetBeans 6.9.1.

Contidos

Que é novo na versión 6.9.1

O IDE NetBeans é unha actualización de NetBeans 6.7.1 que inclúe os seguintes cambios:

  • Dispoñibilidade do último IDE empaquetado con JavaFX SDK 1.3.1
  • Melloras no depurador de JavaFX
  • Arranxos moi importantes nos problemas de usabilidade no Composer e no editor de JavaFX
  • Arranxos de erros críticos feitos noutros módulos desde a última versión final 6.9

As seguintes actualizacións de 6.8 incluidas na versión 6.9 tamén están en 6.9.1:

  • JavaFX Composer para facilitar e visualizar o desenvolvemento JavaFX
  • Compatibilidade cos marcos de traballos Felix OSGI e Equinox na plataforma NetBeans
  • Compatibilidade coa biblioteca do marco de traballo Spring 3.0
  • Java CardTM 3 conectada
  • Compatibilidade coa beta de Rails 3.0
  • Compatibilidade co marco de traballo PHP Zend
  • Compatibilidade con JSR-299, Inxección de dependencias e contextos (CDI)
  • Outras melloras adicionais listanse na páxina Novidades e notoriedades do IDE NetBeans 6.9.

Nota: O JDK 5.0 (Java TM SE Development Kit), non é compatíbel para calquera plataforma para esta versión. Para instalar e executar o IDE NetBeans 6.9.1 debe ter instalado o JDK 6.0 no seu sistema.


Para máis información sobre esta versión, consulte a páxina de Información da versión 6.9.1 do IDE NetBeans.

Tecnoloxías soportadas

O IDE NetBeans 6.9.1 é compatíbel coas seguintes tecnoloxías e probouse cos seguintes servidores de aplicativos. Se ten previsto usar versións que non sexan as que aparecen nesta lista, teña en conta que o IDE pode comportarse de forma imprevista. Para detalles completos sobre as plataformas e os contornos de execución probados nesta versión, consulte a páxina de Plataformas compatíbeis para o IDE NetBeans 6.9.1.

Tecnoloxías soportadas:
  • Java EE 5, Java EE 6 e J2EE 1.4
  • JavaFX SDK 1.3.1
  • SDK 3.0 de Java ME
  • Java Card 3.0.2
  • Struts 1.3.8
  • Spring 3.0, 2.5
  • Hibernate 3.2.5
  • API de Java para servizos web RESTful (JAX-RS) 1.1
  • Seguimento de problemas
    • Bugzilla 3.4 e anteriores
    • Jira 3.4 e anteriores
  • PHP 5.3, 5.2, 5.1
  • Ruby 1.9, 1.8
  • JRuby 1.5.0
  • Rails 2.3.4, 3.0 Beta
  • Groovy 1.6.4
  • Grails 1.1
  • VCS
    • CVS: 1.11.x, 1.12.x
    • Subversion: 1.5.x, 1.6.x
    • Mercurial: 1.0.x ou superiores
    • ClearCase V7.0
   

Servidores de aplicativos comprobados:
  • Edición de código aberto do servidor GlassFish 3.0.1
  • Servidor GlassFish Enterprise v2.1.1
  • Sun Java System Application Server PE 8.2
  • WebLogic 11g (10.3.3.0)
  • Tomcat 6.0.26
  • Tomcat 5.5
  • JBoss 5.0
  • JBoss 4.2.3 (J2EE 1.4)

Requerimentos do sistema

O IDE NetBeans funciona en sistemas operativos compatíbeis coa máquina virtual Java e probouse nas plataformas que aparecen a continuación.

Nota: A resolución mínima da pantalla do IDE é 1024x768 píxeles.


Sistemas operativos compatíbeis

Configuracións de hardware mínimas

  • Microsoft Windows XP Professional SP3/Vista SP1/Windows 7 Professional:
    • Procesador: 800MHz Intel Pentium III ou equivalente
    • Memoria: 512 MB
    • Espazo en disco: 750 MB de espazo libre en disco
  • Ubuntu 9.10:
    • Procesador: 800MHz Intel Pentium III ou equivalente
    • Memoria: 512 MB
    • Espazo en disco: 650 MB de espazo libre en disco
  • Solaris OS version 10 (SPARC):
    • Procesador: UltraSPARC II 450 MHz
    • Memoria: 512 MB
    • Esapzo en disco: 650 MB de espazo libre en disco
  • Solaris OS version 10 (x86/x64 Platform Edition):
    • Procesador: AMD Opteron 1200 Series 1.8 GHz
    • Memoria: 512 MB
    • Espazo en disco: 650 MB de espazo libre en disco
  • Macintosh OS X 10.5 Intel:
    • Procesador: Dual-Core Intel (32 or 64-bit)
    • Memoria: 512 MB
    • Espazo en disco: 650 MB de espazo libre en disco

Configuracións de hardware recomendadas

  • Microsoft Windows XP Professional SP3/Vista SP1/Windows 7 Professional:
    • Processor: 2.6 GHz Intel Pentium IV ou equivalente
    • Memoria: 2 GB
    • Espazo en disco: 1 GB de espazo libre en disco
  • Ubuntu 9.10:
    • Procesador: 2.6 GHz Intel Pentium IV ou equivalente
    • Memoria: 2 GB
    • Espazo en disco: 850 MB de espazo libre en disco
  • Solaris OS version 10 (SPARC):
    • Procesador: UltraSPARC IIIi 1 GHz
    • Memoria: 2 GB
    • Espazo en disco: 850 MB de espazo libre en disco
  • Solaris OS version 10 (x86/x64 platform edition):
    • Procesador: AMD Opteron 1200 Series 2.8 GHz
    • Memoria: 2 GB
    • Espazo en disco: 850 MB de espazo libre en disco
  • OpenSolaris 2010.03 (x86/x64 platform edition):
    • Procesador: AMD Opteron 1200 Series 2.8 GHz
    • Memoria: 2 GB
    • Espazo en disco: 650 MB de espazo libre en disco
  • Macintosh OS X 10.6 Intel:
    • Procesador: Dual-Core Intel (32 or 64-bit)
    • Memoria: 2 GB
    • Espazo en disco: 850 MB de espazo libre en disco


Sábese que o IDE NetBeans é capaz de executarse noutras distribucións de Linux, como Oracle Enterprise Linux 5, Ubuntu 8.x e 10.04, Red Hat Enterprise Linux e moitas outras.

Nota: A compatibilidade web de NetBeans e de Java EE requiren de moitos recursos do sistema -epecialmente cando se umsan en combinación con servidores de aplicativos. Mentres os seguintes requirimentos do sistema se aplican na maioría das configuracións do IDE, para mellores resultados asegúrese que o seu ordenador cumpra como mínimo os requisitios recomendados cando desenvolva aplicativos web e Java EE.

Software requerido

O IDE NetBeans funciona co Java SE Development (JDK), que consta do Java Runtime Environment (JRE) e ferramentas de desenvolvemento para compilación, depuración e execución de aplicativos escritos na linguaxe Java.

Os JDK probados para esta versión son:

  • Requírese a actualización 13 do JDK 6 ou posteriores. A versión 6.9.1 do IDE non pode instalarse ou executarse mediante o JDK 5.0.

Nota: Os paquetes de NetBeans de PHP, Ruby e C/C++ unicamente necesitan o JRE (Java Runtime Environment) 6 para se instalados e poder executalos.


Vostede pode descargar o JDK para a súa plataforma dende un dos sitios listados abaixo:

superior

Compatibilidade JavaFX

Na versión 6.9.1 do IDE NetBeans inclúese o SDK para JavaFX 1.3.1. Teña en conta o seguinte:

  • A versión mínima compatíbel do JDK para JavaFX 1.3.1 é o JDK 6 Actualización 20 para Windows e JDK 5 Actualización 16 para Mac OS.
  • Teña en conta que Mac OS X require o JDK 6.0 para poder executar e instalar o IDE NetBeans 6.9.1, porén pódese usar o JDK 5.0 para o desenvolvemento usando o SDK de JavaFX 1.3.1.
  • Vexa a páxina de Documentación da versión de JavaFX para obter máis información sobre os requirimentos do sistema e das características compatíbeis co SDK de JavaFX.

superior

Editor de SQL e bases de datos

Realizáronse os seguintes cambios na funcionalidade da base de datos do IDE NetBeans 6.9.1:

  • Controladores actualizados. Actualizáronse os controladores de MySQL incluídos no IDE NetBeans á versión 5.1.6.
  • Controladores probados

    Probouse o IDE NetBeans 6.9.1 coas seguintes bases de datos e controladores.

    Controlador
    Versión
    URL de exemplo
    JavaDB Derby 10.4.1.3 jdbc:derby://localhost:1527/sample (Network)
    Oracle Oracle Database 11g (11.1.0.7 ) jdbc:oracle:thin:@//localhost:1521:ora9i
    PostgreSQL 8.x jdbc:postgresql://jsmith.mycompany.com:5432/postgres
    MySQL MySQL Connector/J 5.1.6 jdbc:mysql://localhost:3306/sample
  • Outros controladores

    Os seguintes controladores e bases de datos non foron comprobadas formalmente, pero deberían traballar baseados na experiencia.

    Controlador
    Versión
    URL de exemplo
    Microsoft Microsoft SQL Server 2005 JDBC Driver 1.2.2828.100 jdbc:sqlserver://localhost:1433;databaseName=travel;selectMethod=cursor
    IBM Controlador DB2 JDBC de tipo 4 v8 fixpack 13 redistribuíbel jdbc:db2://localhost:50002/sample
    jTDS jTDS 1.2.1 jdbc:jtds:sqlserver://test-mycompany.com:1433/travel
    DataDirect Conexión DataDirect para JDBC - 3.6, Conexión DataDirect para JDBC - 3.6.0.7 jdbc:datadirect:oracle://localhost;SID=ora9i jdbc:datadirect:sqlserver://localhost:1433;DatabaseName=travel;SelectMethod=cursor jdbc:datadirect:db2://localhost:50002;databaseName=sample
    Pointbase 5.2 ECF build 294

     

    jdbc:pointbase://localhost:29092/sample

     

  • Para información sobre a resolución de erros, diríxase á FAQ de usuario NetBeans Database Connectivity

superior

Compatibilidade de información multilinguaxe

O IDE NetBeans está traducido a: Portugués de Brasil (BR), Xaponés (JP) e Chino simplificado (ZH).

As traducións do IDE realizadas pola comunidade tamén están dispoñíbeis en varios idiomas adicionais e pódense descargar desde a sección de colaboradores da comunidade do menú despregábel Idioma do IDE.

superior

Compatibilidade con versións anteriores

Despois de rematar a instalación, cando execute o IDE por primeira vez ten a opción de importar algunhas das configuracións usadas na instalación anterior. Se non se opta pola importación de preferencias desde unha instalación anterior, o IDE ábrese usando as preferencias predefinidas. Teña en conta que o IDE unicamente recoñece instalacións anteriores cando o cartafol do usuario reside na localización predefinida. Se non se recoñecen instalacións, use --userdir para especificar un cartafol de usuario. Se desexa importar as preferencias desde unha localización que o instalador non recoñece, faga o seguinte:

  1. Inicie o IDE e no menú principal vaia a Ferramentas > Opcións.
  2. Prema no botón Importar do diálogo de Opcións.
  3. No diálogo Seleccionar opcións para importar, prema no botón Examinar e diríxase ao cartafol de usuario que contén as preferencias que desexa importar. Para máis información sobre a localización userdir do IDE NetBeans , consulte a FAQ Que é userdir e onde pode encontralo?

Nota: Se edita as propiedades do proxecto no IDE NetBeans 6.9.1 para un proxecto que foi creado co IDE NetBeans 4.1 ou anterior a este, o proxecto non volverá a funcionar nas versións anteriores do IDE NetBeans.

superior

Funcións e módulos arquivados

Os módulos SOA, UML e Visual Web así como a compatibilidade para jMaki, JAX-RPC e as bibliotecas de JavaScript non están incluidas no instalador do IDE. Para obter máis detalles sobre as características eliminadas e as alternativas libres dispoñíbeis vexa a páxina de Características arquivadas do IDE NetBeans.

superior

Problemas coñecidos: Instalador

Os problemas do instalador sen resolver para esta versión son os seguintes:

  • Problema #93568: en Solaris e Linux a instalación bloquease cando se perde a conexión de rede.

    Descrición: en plataformas Solaris e Linux, se se perde a conexión de rede, a instalación bloquease cando o instalador busca un JDK compatíbel nos cartafoles de rede.

    Solución: restaure a conexión de rede e continúe coa instalación.

  • Problema #117172: aparece unha xanela en branco ao executar o instalador en Ubuntu.

    Descrición: O diálogo do instalador aparece en branco/gris cando se executa en Ubuntu con Beryl/Compiz/Compiz Fusion instalado.

    Solución: execute a orde export AWT_TOOLKIT=MToolkit antes de executar o instalador.

  • Problema #123300. En Fedora Core 8, o instalador deixa de mostrar a interface e volve a consola.

    Descrición: en Fedora Core 8, a interface desaparece e o sistema volve a consola.

    Solución: Consulte https://netbeans.org/servlets/ReadMsg?list=nbusers&msgNo=98765.

  • O asistente de instalación do IDE NetBeans 6.9.1 non se inicia correctamente (colgase). Ocorre despois de que o usuario deteña o proceso de instalación manualmente e o programa de instalación lle informe de que hai outra instancia do instalador en execución.

    Descrición: en Windows, se se usa Java 6 de forma predefinida e se almacenan arquivos zip de gran tamaño no escritorio, o asistente de instalación non se inicia correctamente (bloquease). Ocorre despois de que o usuario deteña o proceso de instalación manualmente e o programa de instalación lle informe de hai outra instancia do instalador en execución.

    Solución: antes da instalación, elimine todos os arquivos zip de gran tamaño do escritorio.

  • Problema #177872: En Mac OS X, o complemento de GlassFish 3.01, e as ferramentas de actualización non funcionan correctamente

    Descrición: En Mac OS X, os complementos baseados con pkg e as ferramentas de actualización non funcionan correctamente baixo contas que non sexan administrativas se GlassFish v3.01 foi instalado como usuario administrativo (root).

    Solución temporal: Use a orde chown -R para cambiar o propietario da instalación de GlassFish e estabelecela a un usuario non root que o necesite. Por exemplo: sudo chown -R <novousuario>:admin /Applications/NetBeans/glassfish-3.0.1, onde novousuario é o usuario non administrador. Despois de usar esta orde, o usuario pode executar directamente as ferramentas bin/updatetool e bin/pkg.

  • Para máis información sobre a resolución de problemas do Instalador, diríxase á FAQ de usuario da instalación do NetBeans.

superior

Problemas coñecidos: Núcleo do IDE

Os problemas non solucionados para esta versión son os seguintes:

  • Dificultades ao iniciar o IDE (Solaris x86 e Dual-Core Opteron).

    Descrición: En certas configuracións de Solaris x86 e Dual Core Opteron, pode encontrar problemas ao iniciar o IDE debido ao erro do JDK ao cargar as bibliotecas de aparencia de GTK.

    Solución: Se encontra este comportamento, especifique a seguinte opción da liña de ordes -laf javax.swing.plaf.metal.MetalLookAndFeel

  • Nas configuracións rexionais Asiáticas non se mostran correctamente os caracteres.

    Descrición: Ao executar o IDE con algunhas configuracións rexionais asiáticas en Ubuntu e outras distribucións de Linux, o texto de pantalla do IDE pode resultar non lexíbel. En determinadas distribucións de Linux, os caracteres multibyte poden aparecer como rectángulos debido a problemas coa configuración de fontes do JDK.

    Solución: consulte as FAQ para obter axuda sobre a solución do problema: http://wiki.netbeans.org/FaqI18nLinuxAsianFonts

  • Problema #64840: a comunicación de rede interrompese en Linux se IPv6 está activado.

    Descrición: a comunicación de rede interrompese en Linux se IPv6 está activado, o que impide que o IDE se conecte a servidores agrupados, ás actualizacións automáticas, etc.

    Solución: se xorde este problema, execute o IDE coa instrución switch -J-Djava.net.preferIPv4Stack=true' Tamén pode desactivar IPv6 (en /etc/modules.conf ou /etc/modprobe.conf).

    Para obter máis información consulte: Problema #5087907.

  • Problema #167401: o IDE bloquease de forma aleatoria nos sistemas MacOS X que usan JDK 1.6.0 actualización 13

    Descrición: o IDE pódese bloquear de forma aleatoria ao navegar pola barra do menú principal debido ao erro #6993269 do JDK de Apple.

    Solución: Cambie a unha versión diferente do JDK, ou ben modifique as opcións predefinidas de inicio do ficheiro netbeans.conf a -J-Dapple.laf.useScreenMenuBar=false.

  • Problema #110074: o editor bloquease en Solaris de forma periódica.

    Descricion: ó executar o IDE en Solaris con JDK 6, 6u1 ou 6u2, os subprocesos poden bloquearse durante moito tempo e provocar que o editor non responda.

    Solución: actualice a instalación de JDK 6 á actualización 3 ou máis recente.

  • Problema #88776: o aplicativo perfilado pode fallar ao crear perfiles co modo de anexar de forma dinámica.

    Descrición: ó executarse no JDK 1.6, a creación do perfil dun aplicativo co modo de anexar de forma dinámica podo provocar un fallo do aplicativo perfilado.

    Solución: inicie o aplicativo que desexa perfilar coa instrución de switch -Xshare:off.

    Consulte tamén: problema #113847.

  • Problema #119617: o cursor pérdese no editor e non se pode escribir co teclado

    Descrición: algunhas veces, despois de usar unha suxestión da xanela do editor, pode ocorrer que o punto de inserción do editor desapareza e non poida escribir co teclado. Maioritariamente informouse deste problema en Mac OS X 10.4, pero tamén se informou desde algunha das versións de Ubuntu.

    Solución: Use o rato para abrir e pechar unha xanela do cadro de diálogo (por exemplo, un cadro de diálogo de propiedades). Desta forma o editor volve a aparecer correctamente, e o funcionamento do punto de inserción e do teclado volve a ser normal.

  • Problema #130357: I18N - Mac OS non xenerará javadoc se o nome do proxecto ou o seu camiño conteñen caracteres multibyte.

    Descrición: A tarefa de javadoc está escrita con MacRoman, a codificación predefinida en Mac OS, cando se crea o ficheiro de parámetros temporal. Isto pode producirse por partes de BSD ou de Mach (chamadas ao sistema e o núcleo) que aceptan parámetros en UTF-8, pero Mac OS e HFS unicamente aceptan MacRoman.

    Solución: Deixe de usar caracteres multibyte no nome ou no camiño do proxecto.

  • Problema #152916: xorden dificultades ao iniciar o IDE en Mac OS X 10.5.5 de 64 bits mediante JDK 1.6_07

    Descrición: en determinadas configuracións de Mac OS X 10.5.5 de 64 bits con JDK 1.6_07 definido como plataforma Java predefinida do sistema poden xurdir problemas ao iniciar o IDE desde o Finder e desde a liña de ordes.

    Solución: Actualice a unha versión máis recente do JDK 6.0.

  • Problema #158421: xorden dificultades ao usar o IDE co recolector de lixo G1

    Descrición: Se está usando un Colector de lixo G1 (no JDK 6 Update 14 ou superior e no JDK 7), podería encontrar excepcións ao usar o IDE.

    Solución temporal: Non use o Colector de Lixo G1 (elimine -XX:+UnlockExperimentalVMOptions -XX:+UseG1GC do netbeans.conf ou na liña de ordes).

  • Para obter máis información sobre a resolución de problemas do IDE diríxase aFAQ do usuario de NetBeans.

superior

Problemas coñecidos: Web e Java EE

Estes son os problemas sen resolver de Web e de Java Web desta versión:

  • Problema #183614: Paso a paso, non funciona correctamente con EJB.

    Descrición: Cando se depura un servlet, paso a paso a unha chamada de EJB e use o paso a través.

    Solución: Poña un punto de interrupción na implementación do códigodo EJB e use paso a través.

  • Problema #178108: As clases Metamodel para entidades JPA xestionadas non se xeran de forma automática.

    Descrición: As clases Metamodel para as correspondentes entidades xestionadas non se xeran. Ao construír consultas de tipos seguros (typesafe) que usan a API Criteria e a clase metamodel, non funcionan.

    Solución temporal: Vexa a descrición do problema #178108 para obter as opcións como solución temporal.

  • Para máis informacón sobre a resolución de problemas no módulo Web e Java EE, diríxase á FAQ do usuario de NetBeans.

superior

Problemas coñecidos: Java ME

NetBeans permítelle desenvolver aplicatrivos baseados en Java ME para dispositivos MIDP, CLDC e CDC.

Os problemas non resoltos no Java ME para esta versión son os seguintes:

  • Java ME SDK 3.0 non é compatíbel con Linux, Solaris e outros sistema operativos.

    Descrición: NetBeans 6.9.1 Mobility e o paquete Java ME SDK 3.0 nesta versión só é compatíbel cos sistemas operativos Windows e Macintosh.

    Solución: O instalador de LInux ven coa versión 2.5.2 de Sun Java Wireless Toolkit.

  • Non é posíbel executar o módulo de Java ME se un nome de cartafol, camiño ao cartafol de instalación ou o cartafol de usuario contén caracteres non ASCII.

    Descrición: O SDK de Java ME 3.0 non é compatíbel cos caracteres non ASCII nos camiños dos proxectos.

    Solución: Asegúrese de que o seu cartafol de usuario non conteña carecteres que non sexan ASCII. Neste caso, cambie o cartafol de usuario predefinido do IDE.

  • Problema #139031: o emulador non se inicia en Windows se o binario de Java non se encontra no camiño do entorno.

    Descrición: Java ME SDK e outros emuladores non se inician en Windows se Java.exe non se encontra no camiño.

    Solución: instale o JDK coa configuración predefinida ou, se vai a realizar unha instalación personalizada, asegúrese de seleccionar o JRE público para a instalación. Se a versión do JDK xa está instalada, pode agregar o ficheiro java.exe á configuración do camiño do sistema.

  • Para obter información adicional sobre a resolución de problemas con Java ME, diríxase á FAQ de usuarios de NetBeans sobre Java ME e Conexión de mobilidade.

superior

Problemas coñecidos: C/C++

NetBeans C/C++ é compatíbel con aplicativos C e C++ en Microsoft Windows, Macintosh OS X, Linux e o sistema operativo SolarisTM. Os desenvolvedores de C/C++ poden integrar aplicativos existentes no sistema do proxecto de NetBeans ou desenvolver aplicativos e bibliotecas novas. A compatibilidade de NetBeans C/C++ abarca todo o ciclo de desenvolvemento, proxectos e modelos, un avanzado editor compatíbel coa linguaxe, versións baseadas na creación de ficheiros e depuración.

Para obter información sobre a instalación e configuración dos compiladores e ferramentas de compatibilidade con NetBeans C/C++, consulte a sección sobre a instalación e configuración da compatibilidade con C/C++.

Os problemas de C/C++ sen resolver para esta versión son os seguintes:

  • Problema #148204: nas plataformas Windows, os datos introducidos polo usuario non funcionan na xanela de saída ao depurar

    Descrición: nas plataformas Windows, se se depurar un aplicativo e se definiu a xanela de saída como tipo de consola do proxecto, non se pode introducir ningún dato en dita xanela. Este problema non afecta ao desenvolvemento mediante un equipo remoto.

    Solución: defina Terminal externa como tipo de consola; para elo, prema co botón dereito do rato no nodo do proxecto da xanela de proxectos, seleccione o nodo de execución no cadro de diálogo Propiedades do proxecto, seleccione Terminal externa na lista despregábel Tipo de consola e prema en Aceptar.

  • Problema #121775: requírese a última versión de Xcode para a depuración en Tiger (Mac OS X 10.4)

    Descrición: Cando se depura en Mac OS Tiger (Mac OS X 10.4), o código xerado pola versión predefinida dos compiladores de gcc e de g++ teñen unha liña de información incorrecta e os puntos de interrupción poden ser ignorados.

    Solución:Apple lanzou unha actualización do paquete Xcode (versión 2.5) que corrixe este problema. As versións correctas de gcc, g++ e gdb son:

    • gcc: 4.0.1 - Apple build 5367
    • g++: 4.0.1 - Apple build 5367
    • gdb: 6.3.50 - Apple build 573 (10/20/2006)

    A versión actualizada de Xcode está dispoñíbel en: http://developer.apple.com/tools/download.

  • Para obter información adicional de resolución de problemas e asistencia para C/C++, diríxase a FAQ de C/C++ para NetBeans.

superior

Máis información

Pode encontrar novas, artigos, módulos adicionais e outra información de utilidade no sitio web do proxecto NetBeans. NetBeans é un proxecto de código aberto, polo que dito sitio tamén permite acceder ao código fonte, a unha base de datos de erros, a información sobre a creación de módulos de NetBeans propios e a moitos máis contidos. Para obter máis información, visite http://www.netbeans.org.

Documentación

Para obter a maioría das características do IDE NetBeans 6.9.1, olle os titoriais web e os screencasts Consulte estas páxinas con frecuencia xa que se actualicen con contidos novos permanentemente.

Referencias adicionais a recursos inclúen:

  • As FAQ de usuario de NetBeans teñen consellos para solucionar e reparar problemas diversos non incluídos nas notas da versión.
  • O sistema integrado de axuda do IDE ten información detallada de soporte para as características incluídas en todos os módulos do IDE NetBeans.
  • Para máis información as equivalencias do teclado, consellos, trucos, e outros temas específicos de Mac OS X, diríxase a Usando o IDE NetBeans en Mac OS X.

Comunidade

Se desexa estar ao día dos últimos desenvolvementos e interactuar coa comunidade de NetBeans, rexístrese nas roldas de correo do proxecto de NetBeans en https://netbeans.org/community/lists/.

Pode publicar preguntas http://forums.netbeans.org/. Os foros están sincronizados coas roldas de correo de NetBeans de uso máis común. Teña en conta que para participar nos foros ten que realizar outro rexistro.

Visite a páxina de información sobre traducións da comunidade en http://translatedfiles.netbeans.org/ para saber como colaborar nas localizacións a outros idiomas da interface de usuario (UI) de NetBeans, da axuda e da documentación do usuario.



ir arriba

Not logged in. Log in, Register

By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2015, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo